RDF::Trine::Namespace(3pm)

NAME
RDF::Trine::Namespace - Abbreviated syntax for constructing RDF node objects

VERSION
This document describes RDF::Trine::Namespace version 1.019

SYNOPSIS
    use RDF::Trine::Namespace qw(rdf);
    my $foaf = RDF::Trine::Namespace->new( 'http://xmlns.com/foaf/0.1/' );
    my $pred = $foaf->name;
    my $type = $rdf->type;
    print $pred->as_string; # '[http://xmlns.com/foaf/0.1/name]'

DESCRIPTION
This module provides an abbreviated syntax for creating RDF::Trine::Node objects for URIs sharing common namespaces. The module provides a constructor for creating namespace objects which may be used for constructing Node objects. Calling any method (other than 'import', 'new', 'uri' or 'AUTOLOAD') on the namespace object will return a RDF::Trine::Node object representing the URI of the method name appended to the namespace.

METHODS

"uri"
    Returns the URI node object for the namespace, with an optional path argument added to the end of it.

"uri_value"
    Returns the URI/IRI value of this namespace.

DEPENDENCIES
XML::Namespace

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.